<?php session_start(); ?>
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Gestión de usuarios</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="static/style.css" type="text/css" media="screen" />
</head>
<body>
    <?php include 'navbar.php'; ?>
    <?php
    include 'database.php';

    $pdo = connectDatabase();
    $doctors = listDoctors($pdo);
    ?>
    <form name="create_form" method="post" action="calendar_management.php">
        <div class="input-group">
            <label>Fecha</label>
            <input type="date" name="fecha_festivo" value="">
        </div>
        <div class="select-input">
            <label>Tipo</label>
            <select id="tipo_festivo" name="tipo_festivo">
                <option value="mañana">mañana</option>
                <option value="tarde">tarde</option>
                <option value="completo">completo</option>
            </select>
        </div>
        <div class="input-group">
            <select id="medico" name="medico">
                <option>Seleccione un médico</option>
                <?php foreach ($doctors as $row) : ?>
                    <option value="<?php echo $row[0]; ?>"><?php echo $row[1]; ?></option>
                <?php endforeach ?>
            </select>
        </div>
        <div class="input-group">
            <button class="btn" type="submit" name="create" >Guardar</button>
        </div>
    </form>
</body>
