<?php session_start(); ?>
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Gestión de usuarios</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="static/style.css" type="text/css" media="screen" />
</head>
<body>
    <?php include 'navbar.php'; ?>
    <?php
    include 'database.php';

    $pdo = connectDatabase();
    $doctors = listDoctors($pdo);
    closeDatabase($pdo);
    ?>
    <form name="create_form" method="post" action="calendar_management.php">
        <?php
        if ($_SESSION["user_type"] == 2):
            $pdo = connectDatabase();
            $user = finduser($pdo, $_SESSION["user"]);
            closeDatabase($pdo);
        ?>
        <input type="hidden" id="medico" name="medico" value="<?php echo $user[0][4]; ?>">
        <?php else: ?>
        <div class="input-group">
            <select id="medico" name="medico">
                <option>Seleccione un médico</option>
                <?php foreach ($doctors as $row) : ?>
                    <option value="<?php echo $row[0]; ?>"><?php echo $row[1]; ?></option>
                <?php endforeach ?>
            </select>
        </div>
        <?php endif; ?>
        <div class="input-group">
            <label>Hora inicio mañana</label>
            <input type="time" name="hora_inicio_mañana" value="">
        </div>
        <div class="input-group">
            <label>Hora fin mañana</label>
            <input type="time" name="hora_fin_mañana" value="">
        </div>
        <div class="input-group">
            <label>Hora inicio tarde</label>
            <input type="time" name="hora_inicio_tarde" value="">
        </div>
        <div class="input-group">
            <label>Hora fin tarde</label>
            <input type="time" name="hora_fin_tarde" value="">
        </div>
        <div class="select-input">
            <label>Horario</label>
            <select id="horario" name="horario">
                <option value="mañana">mañana</option>
                <option value="tarde">tarde</option>
                <option value="completo">completo</option>
            </select>
        </div>
        <div class="input-group">
            <label>Sábado hábil</label>
            <input type="checkbox" name="sabado_habil" value="1">
        </div>
        <div class="input-group">
            <label>Domingo hábil</label>
            <input type="checkbox" name="domingo_habil" value="1">
        </div>
        <div class="input-group">
            <label>Duración de cita por defecto</label>
            <input type="number" name="duracion_cita_por_defecto" value="">
        </div>
        <div class="input-group">
            <button class="btn" type="submit" name="configure" >Guardar</button>
        </div>
    </form>
</body>
